## GimpZoomPreview GimpZoomPreview |

## Functions

GtkWidget * | gimp_zoom_preview_new ()
GtkWidget * | gimp_zoom_preview_new_with_model ()
guchar * | gimp_zoom_preview_get_source ()
GimpDrawable * | gimp_zoom_preview_get_drawable ()
gdouble | gimp_zoom_preview_get_factor ()
GimpZoomModel * | gimp_zoom_preview_get_model ()

## Properties

gpointer | drawable | Read / Write / Construct Only
GimpZoomModel * | model | Read / Write / Construct Only

## Types and Values

| GimpZoomPreview

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkObject
                ╰── GtkWidget
                    ╰── GtkContainer
                        ╰── GtkBox
                            ╰── GimpPreview
                                ╰── GimpScrolledPreview
                                    ╰── GimpZoomPreview

## Implemented Interfaces

GimpZoomPreview implements AtkImplementorIface, GtkBuildable and GtkOrientable.

## Description

## Functions

### gimp_zoom_preview_new ()

    GtkWidget *
    gimp_zoom_preview_new (GimpDrawable *drawable);

Since: GIMP 2.4

### gimp_zoom_preview_new_with_model ()

    GtkWidget *
    gimp_zoom_preview_new_with_model (GimpDrawable *drawable,
                                      GimpZoomModel *model);

Since: GIMP 2.4

### gimp_zoom_preview_get_source ()

    guchar *
    gimp_zoom_preview_get_source (GimpZoomPreview *preview,
                                  gint *width,
                                  gint *height,
                                  gint *bpp);

Since: GIMP 2.4

### gimp_zoom_preview_get_drawable ()

    GimpDrawable *
    gimp_zoom_preview_get_drawable (GimpZoomPreview *preview);

Since: GIMP 2.4

### gimp_zoom_preview_get_factor ()

    gdouble
    gimp_zoom_preview_get_factor (GimpZoomPreview *preview);

Since: GIMP 2.4

### gimp_zoom_preview_get_model ()

    GimpZoomModel *
    gimp_zoom_preview_get_model (GimpZoomPreview *preview);

Since: GIMP 2.4

## Types and Values

### GimpZoomPreview

    typedef struct _GimpZoomPreview GimpZoomPreview;

## Property Details

### The `“drawable”` property

      “drawable”                 gpointer

Flags: Read / Write / Construct Only

Since: GIMP 2.4

### The `“model”` property

      “model”                    GimpZoomModel *

Flags: Read / Write / Construct Only

Since: GIMP 2.4